<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>处理Ceph OSD Down | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="查看OSD状态12345678910111213141516171819202122232425# deploy节点执行[root@yz-node1 ~]# ceph osd treeID CLASS WEIGHT    TYPE NAME         STATUS REWEIGHT PRI-AFF -1       254.60396 root default">
<meta property="og:type" content="article">
<meta property="og:title" content="处理Ceph OSD Down">
<meta property="og:url" content="http://example.com/2021/11/03/%E5%A4%84%E7%90%86Ceph-OSD-Down/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="查看OSD状态12345678910111213141516171819202122232425# deploy节点执行[root@yz-node1 ~]# ceph osd treeID CLASS WEIGHT    TYPE NAME         STATUS REWEIGHT PRI-AFF -1       254.60396 root default">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-11-03T08:15:00.000Z">
<meta property="article:modified_time" content="2021-11-03T08:16:26.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/11/03/%E5%A4%84%E7%90%86Ceph-OSD-Down/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-11-03 16:16:26'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">处理Ceph OSD Down</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-11-03T08:15:00.000Z" title="发表于 2021-11-03 16:15:00">2021-11-03</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-11-03T08:16:26.000Z" title="更新于 2021-11-03 16:16:26">2021-11-03</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Ceph/">Ceph</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h3 id="查看OSD状态"><a href="#查看OSD状态" class="headerlink" title="查看OSD状态"></a>查看OSD状态</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># deploy节点执行</span></span><br><span class="line">[root@yz-node1 ~]<span class="comment"># ceph osd tree</span></span><br><span class="line">ID CLASS WEIGHT    TYPE NAME         STATUS REWEIGHT PRI-AFF </span><br><span class="line">-1       254.60396 root default                              </span><br><span class="line">-3        87.29279     host yz-node1                         </span><br><span class="line"> 0   hdd   7.27440         osd.0         up  1.00000 1.00000 </span><br><span class="line"> 1   hdd   7.27440         osd.1         up  1.00000 1.00000 </span><br><span class="line">...</span><br><span class="line">-5        87.29279     host yz-node2                         </span><br><span class="line">10   hdd   7.27440         osd.10        up  1.00000 1.00000 </span><br><span class="line">11   hdd   7.27440         osd.11        up  1.00000 1.00000 </span><br><span class="line">...</span><br><span class="line">-7        80.01839     host yz-node3                         </span><br><span class="line">22   hdd   7.27440         osd.22      down        0 1.00000 </span><br><span class="line">23   hdd   7.27440         osd.23      down        0 1.00000 </span><br><span class="line">24   hdd   7.27440         osd.24      down        0 1.00000 </span><br><span class="line">25   hdd   7.27440         osd.25      down        0 1.00000 </span><br><span class="line">26   hdd   7.27440         osd.26      down        0 1.00000 </span><br><span class="line">27   hdd   7.27440         osd.27      down        0 1.00000 </span><br><span class="line">28   hdd   7.27440         osd.28      down  1.00000 1.00000 </span><br><span class="line">29   hdd   7.27440         osd.29      down        0 1.00000 </span><br><span class="line">30   hdd   7.27440         osd.30      down        0 1.00000 </span><br><span class="line">31   hdd   7.27440         osd.31      down        0 1.00000 </span><br><span class="line">32   hdd   7.27440         osd.32      down  1.00000 1.00000 </span><br><span class="line">33   hdd   7.27440         osd.33      down        0 1.00000 </span><br></pre></td></tr></table></figure>
<h3 id="写脚本来删除osd"><a href="#写脚本来删除osd" class="headerlink" title="写脚本来删除osd"></a>写脚本来删除osd</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># deploy节点执行</span></span><br><span class="line">[root@yz-node1 ~]<span class="comment"># vi del.sh</span></span><br><span class="line"><span class="meta">#!/bin/sh</span></span><br><span class="line"><span class="keyword">for</span> k <span class="keyword">in</span> $( seq 22 33 )</span><br><span class="line"><span class="keyword">do</span></span><br><span class="line">ceph osd out osd.<span class="variable">$k</span></span><br><span class="line">ceph osd crush rm osd.<span class="variable">$k</span></span><br><span class="line">ceph auth del osd.<span class="variable">$k</span></span><br><span class="line">ceph osd down osd.<span class="variable">$k</span></span><br><span class="line">ceph osd rm osd.<span class="variable">$k</span></span><br><span class="line">umount /var/lib/ceph/osd/ceph-<span class="variable">$k</span></span><br><span class="line"><span class="keyword">done</span></span><br><span class="line">[root@yz-node1 ~]<span class="comment"># sh del.sh</span></span><br></pre></td></tr></table></figure>
<h3 id="查看OSD状态-1"><a href="#查看OSD状态-1" class="headerlink" title="查看OSD状态"></a>查看OSD状态</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># deploy节点执行</span></span><br><span class="line">[root@yz-node1 ~]<span class="comment"># ceph osd tree</span></span><br><span class="line">ID CLASS WEIGHT    TYPE NAME         STATUS REWEIGHT PRI-AFF </span><br><span class="line">-1       254.60396 root default                              </span><br><span class="line">-3        87.29279     host yz-node1                         </span><br><span class="line"> 0   hdd   7.27440         osd.0         up  1.00000 1.00000 </span><br><span class="line"> 1   hdd   7.27440         osd.1         up  1.00000 1.00000 </span><br><span class="line">...</span><br><span class="line">-5        87.29279     host yz-node2                         </span><br><span class="line">10   hdd   7.27440         osd.10        up  1.00000 1.00000 </span><br><span class="line">11   hdd   7.27440         osd.11        up  1.00000 1.00000 </span><br><span class="line">...</span><br><span class="line">-7        80.01839     host yz-node3 </span><br><span class="line"><span class="comment"># yz-node3为空</span></span><br></pre></td></tr></table></figure>


<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br><span class="line">27</span><br><span class="line">28</span><br><span class="line">29</span><br><span class="line">30</span><br><span class="line">31</span><br><span class="line">32</span><br><span class="line">33</span><br><span class="line">34</span><br><span class="line">35</span><br><span class="line">36</span><br><span class="line">37</span><br><span class="line">38</span><br><span class="line">39</span><br><span class="line">40</span><br><span class="line">41</span><br><span class="line">42</span><br><span class="line">43</span><br><span class="line">44</span><br><span class="line">45</span><br><span class="line">46</span><br><span class="line">47</span><br><span class="line">48</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># down节点执行</span></span><br><span class="line"><span class="comment"># 注意：这里是删除所有的osd</span></span><br><span class="line"><span class="comment"># 如：只有几个osd down了那就查相应osd对于的磁盘并删除</span></span><br><span class="line">[root@yz-node3 ~]<span class="comment"># dmsetup remove $(dmsetup ls | grep ceph | awk &#x27;&#123;print $1&#125;&#x27;)</span></span><br><span class="line"></span><br><span class="line"><span class="comment"># 由于该节点osd全部down了，那么就需要全部删除</span></span><br><span class="line">[root@yz-node3 ~]<span class="comment"># lvm</span></span><br><span class="line">lvm&gt; pvs</span><br><span class="line">  PV         VG                                        Fmt  Attr PSize   PFree</span><br><span class="line">  /dev/sda3  centos                                    lvm2 a--  206.00g 4.00m</span><br><span class="line">  /dev/sdb   ceph-2209af3b-b364-4a42-a741-003a52c2cfc2 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdc   ceph-05735670-3015-4b5b-bfd7-065f1b148c3a lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdd   ceph-0d9b79dd-e90f-4b77-a387-e4262ba5de32 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sde   ceph-96438596-c0c1-45e8-9b84-b9e67ccb73df lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdf   ceph-2e683c99-7614-4a54-a86c-c045c4455a80 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdg   ceph-9d67aa79-3a74-442f-a659-0423048cb02e lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdh   ceph-fb94e258-a081-4af4-b1cb-01050a13305b lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdi   ceph-513e8fdf-cd2a-42ca-89dc-3758a0f47053 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdj   ceph-79a08396-9439-45c6-83ad-b5f231bc9db0 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdk   ceph-ac5c5caa-3690-4f94-9960-c2e6eb3bba16 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdl   ceph-7a3fb257-814f-4899-91e8-3f2c01bb7683 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">  /dev/sdm   ceph-bd760405-4d2e-46bb-89e9-a6bdcdc29b05 lvm2 a--   &lt;7.28t    0 </span><br><span class="line">lvm&gt; pvcreate -ff /dev/sdb	<span class="comment"># 强制初始化</span></span><br><span class="line">...</span><br><span class="line">lvm&gt; pvcreate -ff /dev/sdm</span><br><span class="line">lvm&gt; pvremove /dev/sdb		<span class="comment"># 删除物理卷</span></span><br><span class="line">...</span><br><span class="line">lvm&gt; pvremove /dev/sdm</span><br><span class="line">lvm&gt; pvs</span><br><span class="line">  PV         VG     Fmt  Attr PSize   PFree</span><br><span class="line">  /dev/sda3  centos lvm2 a--  206.00g 4.00m</span><br><span class="line">[root@yz-node3 ~]<span class="comment"># ceph-volume lvm zap /dev/sdb</span></span><br><span class="line">……</span><br><span class="line">[root@yz-node3 ~]<span class="comment"># ceph-volume lvm zap /dev/sdm</span></span><br><span class="line"><span class="comment"># 当sd磁盘不存在时说明已解决</span></span><br><span class="line">[root@yz-node3 ~]<span class="comment"># lsblk</span></span><br><span class="line">sdb                             8:16   0   7.3T  0 disk </span><br><span class="line">sdc                             8:32   0   7.3T  0 disk </span><br><span class="line">sdd                             8:48   0   7.3T  0 disk </span><br><span class="line">sde                             8:64   0   7.3T  0 disk </span><br><span class="line">sdf                             8:80   0   7.3T  0 disk </span><br><span class="line">sdg                             8:96   0   7.3T  0 disk </span><br><span class="line">sdh                             8:112  0   7.3T  0 disk </span><br><span class="line">sdi                             8:128  0   7.3T  0 disk </span><br><span class="line">sdj                             8:144  0   7.3T  0 disk </span><br><span class="line">sdk                             8:160  0   7.3T  0 disk </span><br><span class="line">sdl                             8:176  0   7.3T  0 disk </span><br><span class="line">sdm                             8:192  0   7.3T  0 disk </span><br></pre></td></tr></table></figure>


<figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># down节点执行</span></span><br><span class="line">[root@yz-node3 ~]<span class="comment"># parted  /dev/sdb mklabel gpt -s</span></span><br><span class="line">... <span class="comment"># 注：更换盘符</span></span><br><span class="line">[root@yz-node3 ~]<span class="comment"># parted  /dev/sdm mklabel gpt -s</span></span><br></pre></td></tr></table></figure>
<h3 id="重新创建osd"><a href="#重新创建osd" class="headerlink" title="重新创建osd"></a>重新创建osd</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br></pre></td><td class="code"><pre><span class="line"><span class="comment"># deploy节点执行</span></span><br><span class="line">[root@yz-node1 ~]<span class="comment"># cd /etc/ceph/</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ceph-deploy disk zap yz-node3 /dev/sdb</span></span><br><span class="line">.... <span class="comment"># 注：更换盘符</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ceph-deploy disk zap yz-node3 /dev/sdm</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ceph-deploy osd create --filestore --fs-type xfs --data /dev/sdb --journal /dev/sda7 yz-node3</span></span><br><span class="line">...  <span class="comment"># 注：更换盘符</span></span><br><span class="line">[root@yz-node1 ceph]<span class="comment"># ceph-deploy osd create --filestore --fs-type xfs --data /dev/sdm --journal /dev/sda18 yz-node3</span></span><br></pre></td></tr></table></figure>
<h3 id="查看ceph集群状态"><a href="#查看ceph集群状态" class="headerlink" title="查看ceph集群状态"></a>查看ceph集群状态</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br><span class="line">17</span><br><span class="line">18</span><br><span class="line">19</span><br><span class="line">20</span><br><span class="line">21</span><br><span class="line">22</span><br><span class="line">23</span><br><span class="line">24</span><br><span class="line">25</span><br><span class="line">26</span><br></pre></td><td class="code"><pre><span class="line">[root@yz-node1 osd]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     29b16d13-9431-4a94-920e-e624f3d1e55a</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            Reduced data availability: 28 pgs inactive, 197 pgs peering</span><br><span class="line">            Degraded data redundancy: 48/864 objects degraded (5.556%), 36 pgs degraded, 1 pg undersized</span><br><span class="line">            application not enabled on 1 pool(s)</span><br><span class="line">            <span class="comment"># 出现WARN</span></span><br><span class="line"> </span><br><span class="line">  services:</span><br><span class="line">    mon: 3 daemons, quorum yz-node1,yz-node2,yz-node3</span><br><span class="line">    mgr: yz-node1(active)</span><br><span class="line">    osd: 36 osds: 36 up, 36 <span class="keyword">in</span>; 2 remapped pgs</span><br><span class="line"> </span><br><span class="line">  data:</span><br><span class="line">    pools:   5 pools, 1024 pgs</span><br><span class="line">    objects: 288  objects, 1005 MiB</span><br><span class="line">    usage:   7.8 GiB used, 262 TiB / 262 TiB avail</span><br><span class="line">    pgs:     25.977% pgs not active</span><br><span class="line">             48/864 objects degraded (5.556%)</span><br><span class="line">             340 active+clean</span><br><span class="line">             265 peering</span><br><span class="line">             236 stale+active+clean</span><br><span class="line">             147 active+undersized</span><br><span class="line">             35  active+undersized+degraded</span><br><span class="line">             1   stale+activating+undersized+degraded+remapped</span><br></pre></td></tr></table></figure>
<h3 id="重启OSD"><a href="#重启OSD" class="headerlink" title="重启OSD"></a>重启OSD</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">[root@yz-node1 osd]<span class="comment"># systemctl restart ceph-osd.target</span></span><br></pre></td></tr></table></figure>
<h3 id="查看状态"><a href="#查看状态" class="headerlink" title="查看状态"></a>查看状态</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br></pre></td><td class="code"><pre><span class="line">[root@yz-node1 osd]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     29b16d13-9431-4a94-920e-e624f3d1e55a</span><br><span class="line">    health: HEALTH_WARN</span><br><span class="line">            <span class="comment"># application not enabled on 1 pool(s)</span></span><br><span class="line"> 		   <span class="comment"># 又出现问题</span></span><br><span class="line">  services:</span><br><span class="line">    mon: 3 daemons, quorum yz-node1,yz-node2,yz-node3</span><br><span class="line">    mgr: yz-node1(active)</span><br><span class="line">    osd: 36 osds: 36 up, 36 <span class="keyword">in</span></span><br><span class="line"> </span><br><span class="line">  data:</span><br><span class="line">    pools:   5 pools, 1024 pgs</span><br><span class="line">    objects: 288  objects, 1005 MiB</span><br><span class="line">    usage:   8.6 GiB used, 262 TiB / 262 TiB avail</span><br><span class="line">    pgs:     1024 active+clean</span><br></pre></td></tr></table></figure>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br></pre></td><td class="code"><pre><span class="line">[root@yz-node1 osd]# ceph health detail</span><br><span class="line">HEALTH_WARN application not enabled on 1 pool(s)</span><br><span class="line">POOL_APP_NOT_ENABLED application not enabled on 1 pool(s)</span><br><span class="line">    application not enabled on pool &#39;myrbd&#39;</span><br><span class="line">    use &#39;ceph osd pool application enable &lt;pool-name&gt; &lt;app-name&gt;&#39;, where &lt;app-name&gt; is &#39;cephfs&#39;, &#39;rbd&#39;, &#39;rgw&#39;, or freeform for custom applications.</span><br><span class="line">[root@yz-node1 osd]# ceph osd pool application enable myrbd rgw</span><br></pre></td></tr></table></figure>
<h3 id="执行"><a href="#执行" class="headerlink" title="执行"></a>执行</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">[root@yz-node1 osd]<span class="comment"># ceph osd pool application enable myrbd rgw</span></span><br><span class="line">enabled application <span class="string">&#x27;rgw&#x27;</span> on pool <span class="string">&#x27;myrbd&#x27;</span></span><br></pre></td></tr></table></figure>
<h3 id="查看状态-1"><a href="#查看状态-1" class="headerlink" title="查看状态"></a>查看状态</h3><figure class="highlight sh"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br><span class="line">15</span><br><span class="line">16</span><br></pre></td><td class="code"><pre><span class="line">[root@yz-node1 osd]<span class="comment"># ceph -s</span></span><br><span class="line">  cluster:</span><br><span class="line">    id:     29b16d13-9431-4a94-920e-e624f3d1e55a</span><br><span class="line">    health: HEALTH_OK</span><br><span class="line"> </span><br><span class="line">  services:</span><br><span class="line">    mon: 3 daemons, quorum yz-node1,yz-node2,yz-node3</span><br><span class="line">    mgr: yz-node1(active)</span><br><span class="line">    osd: 36 osds: 36 up, 36 <span class="keyword">in</span></span><br><span class="line"> </span><br><span class="line">  data:</span><br><span class="line">    pools:   5 pools, 1024 pgs</span><br><span class="line">    objects: 288  objects, 1005 MiB</span><br><span class="line">    usage:   8.6 GiB used, 262 TiB / 262 TiB avail</span><br><span class="line">    pgs:     1024 active+clean</span><br><span class="line"><span class="comment"># 恢复正常</span></span><br></pre></td></tr></table></figure>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/11/03/%E5%A4%84%E7%90%86Ceph-OSD-Down/">http://example.com/2021/11/03/%E5%A4%84%E7%90%86Ceph-OSD-Down/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/12/21/vnc-viewer%E8%BF%9C%E7%A8%8B%E6%9C%8D%E5%8A%A1%E5%99%A8%E9%BC%A0%E6%A0%87%E4%B8%8D%E5%90%8C%E6%AD%A5/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">vnc viewer远程服务器鼠标不同步</div></div></a></div><div class="next-post pull-right"><a href="/2021/11/03/ubeadm%E8%AF%81%E4%B9%A6%E7%BB%AD%E7%AD%BEjioaben/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">kubeadm集群证书续签</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8BOSD%E7%8A%B6%E6%80%81"><span class="toc-number">1.</span> <span class="toc-text">查看OSD状态</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%86%99%E8%84%9A%E6%9C%AC%E6%9D%A5%E5%88%A0%E9%99%A4osd"><span class="toc-number">2.</span> <span class="toc-text">写脚本来删除osd</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8BOSD%E7%8A%B6%E6%80%81-1"><span class="toc-number">3.</span> <span class="toc-text">查看OSD状态</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%87%8D%E6%96%B0%E5%88%9B%E5%BB%BAosd"><span class="toc-number">4.</span> <span class="toc-text">重新创建osd</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8Bceph%E9%9B%86%E7%BE%A4%E7%8A%B6%E6%80%81"><span class="toc-number">5.</span> <span class="toc-text">查看ceph集群状态</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%87%8D%E5%90%AFOSD"><span class="toc-number">6.</span> <span class="toc-text">重启OSD</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E7%8A%B6%E6%80%81"><span class="toc-number">7.</span> <span class="toc-text">查看状态</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%89%A7%E8%A1%8C"><span class="toc-number">8.</span> <span class="toc-text">执行</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E7%8A%B6%E6%80%81-1"><span class="toc-number">9.</span> <span class="toc-text">查看状态</span></a></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>